%global srcname requests-ftp

Summary:        FTP transport adapter for python-requests
Name:           python-%{srcname}
Version:        0.3.1
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://github.com/Lukasa/requests-ftp
Source0:        https://pypi.python.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

Patch3000:      PR28-01-Adding-2-tests-and-updated-statud_code-build.patch
Patch3001:      PR28-02-Adding-code-3-to-retr4ieve-status_code.patch
Patch3002:      PR28-03-fix-warning-in-interpreting-ftp-status-codes-minor-d.patch
Patch3003:      PR28-05-Improve-logging-in-status-code-extraction.patch 


%description
Requests-FTP is an implementation of a very stupid FTP transport adapter for
use with the awesome Requests Python library.It is intended as both a starting 
point for future development and a useful example for how to implement transport adapters.

%package -n python3-%{srcname}
Summary:        FTP transport adapter for python3-requests
Provides:       python3-%{srcname} = %{version}-%{release}

BuildRequires:  python3-devel python3-setuptools
Requires:       python3-requests

%description -n python3-requests-ftp
Requests-FTP is an implementation of a very stupid FTP transport adapter for
use with the awesome Requests Python library.This is the Python 3 version of the transport adapter module.

%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rf requests_ftp.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/requests_ftp/
%{python3_sitelib}/requests_ftp*.egg-info*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 23 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.3.1-1
- package init.
